Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftOtdBuilder

    java.lang.Object
      com.stc.swift.builder.SwiftOtdBuilder

All Implemented Interfaces:
  com.stc.otd.builder.OtdBuilder, java.io.Serializable

    public class SwiftOtdBuilder

extends java.lang.Object
implements com.stc.otd.builder.OtdBuilder

This class uses a Swift Description file to generate OTDs

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.stc.otd.builder.OtdBuilder
`PACKAGE_NAME_PREFIX`

Constructor Summary
`SwiftOtdBuilder()` Create a new SwiftOtdBuilder
`SwiftOtdBuilder(com.stc.otd.builder.OtdBuilderSpec aSpec)` Create a new SwiftOtdBuilder

Method Summary
`void` | `buildOtd(com.stc.otd.forest.OtdMetaContainer otdMeta)` Build otd method will populate the empty OtdMetaContainer obtained from the OtdContext.createOtd method.
`void` | `buildOtd(com.stc.otd.forest.OtdMetaContainer otdMeta, boolean noData)`
`void` | `generateCode(com.stc.otd.forest.OtdMetaContainer otdMetaContainer)` generateCode method will invoke the otd type specific code generator to generate the java otd code.
`com.stc.log4j.Logger` | `getLogger()`
`SwiftMetadata` | `getMetadata()`
`com.stc.otd.builder.OtdBuilderSpec` | `getOtdBuilderSpec()` Getter for OtdBuilderSpec attribute of the OtdBuilder
`SwiftBuilderSpec` | `getSwiftBuilderSpec()` Gets the SwiftBuilderSpec object for this SwiftOtdBuilder Swift Attributes
`SwiftMetadata` | `getSwiftMetadata()`
`static void` | `main(java.lang.String[] args)` For testing
`boolean` | `parse()`
`void` | `prepareMetaData(java.lang.String packagePrepend)`
`void` | `setMetadata(SwiftMetadata md)`
`void` | `setOtdBuilderSpec(com.stc.otd.builder.OtdBuilderSpec aSpec)` Setter for OtdBuilderSpec attribute of the OtdBuilder
`void` | `setSwiftBuilderSpec(SwiftBuilderSpec spec)` Sets the SwiftBuilderSpec object for this SwiftOtdBuilder Swift Attributes
`void` | `setSwiftMetadata(SwiftMetadata metadata)` Sets the SwiftBuilderSpec object for this SwiftOtdBuilder Swift Attribute s

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftOtdBuilder

    public SwiftOtdBuilder()

  Create a new SwiftOtdBuilder

### SwiftOtdBuilder

    public SwiftOtdBuilder(com.stc.otd.builder.OtdBuilderSpec aSpec)

  Create a new SwiftOtdBuilder

Method Detail

### main

    public static void main(java.lang.String[] args)

  For testing

  Parameters:
    `args` - The command line arguments

### getOtdBuilderSpec

    public com.stc.otd.builder.OtdBuilderSpec getOtdBuilderSpec()

  Getter for OtdBuilderSpec attribute of the OtdBuilder

  Specified by:
    `getOtdBuilderSpec` in interface `com.stc.otd.builder.OtdBuilder`
  Returns:
    OtdBuilderSpec builder spec

### setOtdBuilderSpec

    public void setOtdBuilderSpec(com.stc.otd.builder.OtdBuilderSpec aSpec)

  Setter for OtdBuilderSpec attribute of the OtdBuilder

  Specified by:
    `setOtdBuilderSpec` in interface `com.stc.otd.builder.OtdBuilder`
  Parameters:
    `aSpec` - builder spec

### getSwiftBuilderSpec

    public SwiftBuilderSpec getSwiftBuilderSpec()

  Gets the SwiftBuilderSpec object for this SwiftOtdBuilder Swift Attributes

  Returns:
    Getter for SwiftBuilderSpec attribute of the SwiftOtdBuilder object

### setSwiftBuilderSpec

    public void setSwiftBuilderSpec(SwiftBuilderSpec spec)

  Sets the SwiftBuilderSpec object for this SwiftOtdBuilder Swift Attributes

  Parameters:
    `spec` - connection spec Setter for SwiftBuilderSpec attribute of the SwiftOtdBuilder object

### getSwiftMetadata

    public SwiftMetadata getSwiftMetadata()

### setSwiftMetadata

    public void setSwiftMetadata(SwiftMetadata metadata)

  Sets the SwiftBuilderSpec object for this SwiftOtdBuilder Swift Attribute s

  Parameters:
    `spec` - connection spec Setter for SwiftBuilderSpec attribute of the SwiftOtdBuilder object

### buildOtd

    public void buildOtd(com.stc.otd.forest.OtdMetaContainer otdMeta)
                  throws com.stc.otd.builder.OtdBuilderException

  Build otd method will populate the empty OtdMetaContainer obtained from the OtdContext.createOtd method.

  Specified by:
    `buildOtd` in interface `com.stc.otd.builder.OtdBuilder`
  Type Parameters:
    `otdMeta` - - OtdMetaContainer object
  Throws:
    `com.stc.otd.builder.OtdBuilderException` - Error in building OTD

### buildOtd

    public void buildOtd(com.stc.otd.forest.OtdMetaContainer otdMeta,
                         boolean noData)
                  throws com.stc.otd.builder.OtdBuilderException

  Throws:
    `com.stc.otd.builder.OtdBuilderException`

### generateCode

    public void generateCode(com.stc.otd.forest.OtdMetaContainer otdMetaContainer)
                      throws com.stc.otd.builder.OtdBuilderException

  generateCode method will invoke the otd type specific code generator to generate the java otd code.

  Specified by:
    `generateCode` in interface `com.stc.otd.builder.OtdBuilder`
  Parameters:
    `otdMetaContainer` - OtdMetaContainer object
  Throws:
    `com.stc.otd.builder.OtdBuilderException` - Error in building OTD

### setMetadata

    public void setMetadata(SwiftMetadata md)

### getMetadata

    public SwiftMetadata getMetadata()

### getLogger

    public com.stc.log4j.Logger getLogger()

### prepareMetaData

    public void prepareMetaData(java.lang.String packagePrepend)
                         throws java.io.IOException,
                                SwiftParsingException

  Throws:
    `java.io.IOException`
    `SwiftParsingException`

### parse

    public boolean parse()
                  throws SwiftParsingException,
                         java.io.IOException

  Throws:
    `SwiftParsingException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.